%define version 9.0 
%define release 2

Summary: Fermi Linux release version
Name: zz_fermi-release
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v%{version}
Vendor: Fermi Lab
Packager: Troy Dawson
requires: redhat-release
obsoletes: zz_fermi-redhat-release
%description
Fermi Linux release
%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Fermi Linux Release 90rolling (Beta)" > $RPM_BUILD_ROOT/etc/fermi-release

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0644,root,root) /etc/fermi-release

%post
#fix /etc/redhat-release
mv /etc/redhat-release /etc/redhat-release.rpmsave
cd /etc
ln -s fermi-release redhat-release

#fix /etc/issue
grep -q Red /etc/issue
if [ "$?" = "0" ] ; then
	cp /etc/issue /etc/issue.rpmsave
	csplit --quiet -f /tmp/issue /etc/issue /"Red"/+1
	cat /etc/fermi-release > /etc/issue
	cat /tmp/issue01 >> /etc/issue
	echo " " >> /etc/issue
	rm -f /tmp/issue00 /tmp/issue01
fi

#fix /etc/issue.net
grep -q Red /etc/issue.net
if [ "$?" = "0" ] ; then
	cp /etc/issue.net /etc/issue.net.rpmsave
	csplit --quiet -f /tmp/issue.net /etc/issue.net /"Red"/+1
	cat /etc/fermi-release > /etc/issue.net
	cat /tmp/issue.net01 >> /etc/issue.net
	echo " " >> /etc/issue.net
	rm -f /tmp/issue.net00 /tmp/issue.net01
fi
